<?php
	ini_set('display_errors',1);
	include "dist/function.php";
	include "dist/dbqueries.php";
	
	// Делаем проверку метода 

	$method = $_SERVER['REQUEST_METHOD'];
	if($method!='GET'){
		$result = "Ошибка запроса";
		echo $result;
		return;
	}
	
	if (isset($_GET['account'])) $account=$_GET['account']; else $account="";
	if (isset($_GET['date'])) $ruz = $_GET['date']; else $ruz="";
	if (isset($_GET['date'])) $sign= $_GET['sign']; else $sign="";

	if($account =="" or $ruz == "" or $sign==""){
		$result = "Ошибка запроса";
		echo $result;
		return;
	}
	
	// Проверка хеша
	$secret = "rbdaQrC0de";
	$hash = md5($account.$ruz.$secret);
	if($sign!=$hash){
		$result = "Ошибка подписи";
		echo $result;
		return;
	}
	
	
	// Находим штрафы
	$check = CheckFines($account,$ruz);

	if 	(count($check) > 0)
	{
		if ($check["code"]=="200" and $check["kol"]==0)
		{			
		$result="<p>НИЗОМИ АВТОМАТИКУНОНИДАШУДАИ БАҚАЙДГИРИИ ВАЙРОНКУНИИ ҚОИДАҲОИ ҲАРАКАТ ДАР РОҲ ДАР ҶУМҲУРИИ ТОҶИКИСТОН МАЪЛУМОТНОМА</p>
		<p style='color: green;'>Рақами бақайдгирии " . $account. " то санаи ". $ruz. " дар назди буҷети Ҷумҳурии Тоҷикистон 
			маблағи пардохтнашудаи ҳуқуқвайронкунии маъмурӣ надорад.</p>
		<p>ш. Душанбе</p>";
		echo $result;
		return;
		}
		if ($check["code"]=="200" and $check["kol"]>0)
		{			
		$result="<p>НИЗОМИ АВТОМАТИКУНОНИДАШУДАИ БАҚАЙДГИРИИ ВАЙРОНКУНИИ ҚОИДАҲОИ ҲАРАКАТ ДАР РОҲ ДАР ҶУМҲУРИИ ТОҶИКИСТОН МАЪЛУМОТНОМА</p>
		<p style='color: red;'>Рақами бақайдгирии " . $account. " то санаи ". $ruz. " дар назди буҷети Ҷумҳурии Тоҷикистон 
			барои " . $check["kol"]." чарима маблағи пардохтнашудаи ҳуқуқвайронкунии маъмурӣ дорад.</p>

		<p>ш. Душанбе</p>";
		echo $result;
		return;
		}		
		
	}
	
	
	
	
	
	
	
	
	
	
	
	
?>